Bug 195486 - Review Request: kdenetwork: K Desktop Environment - Network Applications
Review Request: kdenetwork: K Desktop Environment - Network Applications
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Package Reviews List
:
: 195484 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 10:17 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-12 08:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+


Attachments (Terms of Use)
split spec file (22.26 KB, application/octet-stream)
2007-02-18 14:35 EST, Chitlesh GOORAH
no flags Details

  None (edit)
Description Rex Dieter 2006-06-15 10:17:55 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdenetwork.spec
SRPM URL: http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdenetwork-3.5.3-3.src.rpm
Description: 
Graphics applications for the K Desktop Environment.
Networking applications, including:
* kdict: graphical client for the DICT protocol.
* kget: downloader manager.
* kio_lan: lan browsing kio slave.
* knewsticker: RDF newsticker applet
* kopete: chat client (requires qca-tls for optional jabber/ssl support)
* kpf: public fileserver applet
* kppp: dialer and front end for pppd
* krdc: a client for Desktop Sharing and other VNC servers (requires rdesktop)
* krfb: Desktop Sharing server, allow others to access your desktop via VNC
* ksirc: IRC client
* ktalkd: talk daemon
* lisa: lan information server


%changelog
* Tue Jun 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-3
- /lib/security -> %{_lib}/security (though it's not really used atm)
- comment out unused patches (2,3)

* Fri Jun 09 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.3-2
- --enable-sametime-plugin, BR: libmeanwhile0-devel
- --enable-slp, BR: openslp-devel
- --with-xmms, BR: xmms-devel
- BR: libxml2 libxslt
- %%doc: AUTHORS COPYING README, app docs (README, TODO, etc...)
- update %%description
- follow icon spec
- don't use usermode(gtk) for kppp (allows users to have separate profiles)
- Requires(hint): rdesktop (krdc)
- Obsoletes/Provides: kopete
- Requires(hint): qca-tls (jabber/tls support for kopete)

* Mon Jun 05 2006 Than Ngo <than@redhat.com> 7:3.5.3-1
- update to 3.5.3
Comment 1 Rex Dieter 2006-06-15 10:18:42 EDT
*** Bug 195484 has been marked as a duplicate of this bug. ***
Comment 2 Michael J Knox 2006-07-26 15:48:05 EDT
I will review this one. 

Posting valid urls:

Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdenetwork.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.stable/kdenetwork-3.5.3-3.src.rpm
Comment 3 Michael J Knox 2006-07-26 16:49:37 EDT
Review for release 3:
* RPM name is OK
* Source kdenetwork-3.5.3.tar.bz2 is the same as upstream

Needs work:
* BuildRequires: gettext is missing (required to build the translations)
* Build failed in mock

Minor:
* Duplicate BuildRequires: libidn-devel (by kdelibs-devel), openssl-devel (by
kdelibs-devel), libxslt-devel (by kdelibs-devel), libxml2-devel (by
libxslt-devel), automake (by libtool)


Notes:

fails in mock devel because its looking for libmeanwhile0-devel, but FC uses
meanwhile-devel

Comment 4 Michael J Knox 2006-07-26 17:04:11 EDT
Can we do away with the FC 4 support? If this move from core to extras is
intended to happen post FC6 then FC4 support is irrelevent. Like wise with the:

%if "%{?rhl}" == "7"
%undefine _with_wifi
%endif

At the top.. no need for Red Hat 7 support. 
Comment 5 Rex Dieter 2006-08-08 16:12:32 EDT
> Can we do away with the FC 4 support?

Personally? No, I intend to be able to (continue to) (re)build these on/for 
rhel4 as well.

The ancient/legacy bits (like rh7 references) can certainly go.

> fails in mock devel because its looking for libmeanwhile0-devel, but FC uses
> meanwhile-devel

Yeah, it needs libmeanwhile-0.4, which is API-incompatible with newer releases 
(and kopete doesn't yet support the newer API).  I'll conditionalize out the 
meanwhile support for now.
Comment 6 Rex Dieter 2006-08-08 16:17:53 EDT
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdenetwork.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdenetwork-3.5.4-3.src.rpm

%changelog
* Tue Aug 08 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.4-3
- BR: gettext
- don't --enable-sametime-plugin, libmeanwhile0 is not (yet) available.
- drop legacy (rh7) bit(s).

* Mon Jul 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.4-2
- kopete patch "can't connect to IRC" (kde bug #131598)

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.4-1
- kde-3.5.4
Comment 7 Michael J Knox 2006-08-20 20:07:24 EDT
Hey, just a quick ping to let you know that I am alive, just still in the throws
of unpacking/new job/etc etc. I hope to tidy this review up before/by the end of
the week. Thanks for your patience. 
Comment 8 Rex Dieter 2006-08-20 21:13:57 EDT
No rush, this won't get deployed until *after* fc6 is released anyway.
Comment 9 Michael J Knox 2006-09-16 16:28:21 EDT
Sorry. Due to my stepping out for a while, I am unable to complete this review. 
Comment 10 Rex Dieter 2007-02-13 07:16:47 EST
Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdenetwork.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdenetwork-3.5.6-1.src.rpm

%changelog 
* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.6-1
- kde-3.5.6

* Tue Jan 09 2007 Rex Dieter <rdieter[AT]fedoraproject> 7:3.5.5-5
- ksirc DOS (http://www.kde.org/info/security/advisory-20070109-1.txt)

* Wed Nov 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-4
- BR: meanwhile-devel 

* Wed Nov 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-3
- respin ICQ patch (kde#136566c#37)

* Wed Nov 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-2
- ICQ patch (kde#136566, rh#213341)

* Wed Oct 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 7:3.5.5-1
- 3.5.5
Comment 11 Chitlesh GOORAH 2007-02-14 16:46:10 EST
Here is a  spec file of the actual package being shipped by fedora in which i split 
 * ksirc
 * kdict
 * ktalkd
 * kpf
 * kwifimanager
to another knetwork-extras

http://tux.u-strasbg.fr/~chit/RPMS/kdenetwork.spec

Do the necessary, I'll start reviewing the package afterwards
Comment 12 Chitlesh GOORAH 2007-02-17 06:24:26 EST
This pacakge is missing Jabber Jingle voice support during the compilation:

""""You have disabled Jabber Jingle voice support or you are missing required
libraries required to compile it. Jingle is a new Jabber standard that define a
signaling protocol via XMPP for peer-to-peer applications. Jingle audio is
compatible with the Google Talk voice service.

Required Jingle dependencies are listed on this page:
http://wiki.kde.org/tiki-index.php?page=Kopete+Jabber+Jingle"""""""

On the wiki page, its current status is 
"""""Anyway, the support is experimental, and can lead to crash if something
goes wrong. This is why it is not enabled by default in the stable release.

Please note that the development is currently on hold.""""""

Is this the reason why we aren't including this support?
Comment 13 Chitlesh GOORAH 2007-02-17 07:52:21 EST
I just want to pinpoint to two open bugs (if closed, we can assure "quality")
concerning this package in FC:

 * https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228542 (easy fix, patch
provided)
 * https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=215350
Comment 14 Chitlesh GOORAH 2007-02-18 14:35:42 EST
Created attachment 148300 [details]
split spec file
Comment 15 Chitlesh GOORAH 2007-02-18 14:38:58 EST
The above attachment contains an -extras package
which includes 
More Utilities for the K Desktop Environment:
 * kcalc (scientific calculator);
 * kmilo
 * ksim (system information monitor);
 * klaptopdaemon (battery monitoring and management for laptops);

as suggested by http://fedoraproject.org/wiki/Releases/FeatureFedoraKDE
Comment 16 Chitlesh GOORAH 2007-02-18 14:45:18 EST
Please discard  c#14 and c#15 since it was intended for kdeutils and not to this
bug. I apologize for any inconvenience.
Comment 17 Rex Dieter 2007-03-04 17:20:04 EST
Re: comment #12
> Please note that the development is currently on hold.""""""
> Is this the reason why we aren't including this support?

Fedora is missing the required library, which is the biggest blocker, imo.

Re: comment #13
Of course, but let's not muddy the review with extraneous items.  


Comment 18 Rex Dieter 2007-03-08 12:07:49 EST
Chitlesh?
Comment 19 Chitlesh GOORAH 2007-03-09 10:52:09 EST
#001: rpmlint output isn't clean

[build@gatux result]$ rpmlint *.rpm
E: kdenetwork invalid-soname /usr/lib/libkdeinit_ksirc.so libkdeinit_ksirc.so
E: kdenetwork invalid-soname /usr/lib/libkwireless.so libkwireless.so
E: kdenetwork invalid-soname /usr/lib/libkdeinit_kdict.so libkdeinit_kdict.so
W: kdenetwork conffile-without-noreplace-flag /etc/lisarc
W: kdenetwork conffile-without-noreplace-flag /etc/rc.d/init.d/lisa
W: kdenetwork conffile-without-noreplace-flag /etc/xinetd.d/ktalk
E: kdenetwork file-in-usr-marked-as-conffile
/usr/share/config.kcfg/historyconfig.kcfg
W: kdenetwork conffile-without-noreplace-flag
/usr/share/config.kcfg/historyconfig.kcfg
E: kdenetwork file-in-usr-marked-as-conffile /usr/share/config.kcfg/kopete.kcfg
W: kdenetwork conffile-without-noreplace-flag /usr/share/config.kcfg/kopete.kcfg
E: kdenetwork file-in-usr-marked-as-conffile
/usr/share/config.kcfg/kopeteidentityconfigpreferences.kcfg
W: kdenetwork conffile-without-noreplace-flag
/usr/share/config.kcfg/kopeteidentityconfigpreferences.kcfg
E: kdenetwork file-in-usr-marked-as-conffile /usr/share/config.kcfg/latexconfig.kcfg
W: kdenetwork conffile-without-noreplace-flag
/usr/share/config.kcfg/latexconfig.kcfg
E: kdenetwork file-in-usr-marked-as-conffile
/usr/share/config.kcfg/nowlisteningconfig.kcfg
W: kdenetwork conffile-without-noreplace-flag
/usr/share/config.kcfg/nowlisteningconfig.kcfg
E: kdenetwork file-in-usr-marked-as-conffile /usr/share/config/ksircrc
W: kdenetwork conffile-without-noreplace-flag /usr/share/config/ksircrc
E: kdenetwork file-in-usr-marked-as-conffile /usr/share/config/ktalkdrc
W: kdenetwork conffile-without-noreplace-flag /usr/share/config/ktalkdrc
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Retropete/Contents/Resources/Header.html
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/Austria/.directory
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Clear/Contents/Resources/Footer.html
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Gaim/Contents/Resources/Footer.html
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/Germany/.directory
W: kdenetwork dangling-relative-symlink /usr/share/doc/HTML/en/krdc/common ../common
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/Irland/.directory
W: kdenetwork hidden-file-or-dir
/usr/share/apps/kppp/Provider/United_Kingdom/.directory
W: kdenetwork dangling-relative-symlink /usr/share/doc/HTML/en/ktalkd/common
../common
W: kdenetwork dangling-relative-symlink
/usr/share/doc/HTML/en/knewsticker/common ../common
W: kdenetwork hidden-file-or-dir
/usr/share/apps/kppp/Provider/Czech_Republic/.directory
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Clear/Contents/Resources/Header.html
W: kdenetwork dangling-symlink /usr/share/doc/HTML/en/kcontrol/lanbrowser/common
/usr/share/doc/HTML/en/common
W: kdenetwork symlink-should-be-relative
/usr/share/doc/HTML/en/kcontrol/lanbrowser/common /usr/share/doc/HTML/en/common
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/NewZealand/.directory
E: kdenetwork setuid-binary /usr/bin/kppp root 04755
E: kdenetwork non-standard-executable-perm /usr/bin/kppp 04755
E: kdenetwork executable-marked-as-config-file /etc/rc.d/init.d/lisa
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Konqi/Contents/Resources/Header.html
W: kdenetwork dangling-relative-symlink /usr/share/doc/HTML/en/kget/common ../common
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Clean/Contents/Resources/Header.html
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/Denmark/.directory
W: kdenetwork hidden-file-or-dir
/usr/share/apps/kppp/Provider/Netherlands/.directory
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Retropete/Contents/Resources/Footer.html
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Kopete/Contents/Resources/Footer.html
W: kdenetwork dangling-relative-symlink
/usr/share/doc/HTML/en/kwifimanager/common ../common
W: kdenetwork dangling-relative-symlink /usr/share/doc/HTML/en/kdict/common
../common
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Clean/Contents/Resources/Footer.html
W: kdenetwork dangling-symlink /usr/share/doc/HTML/en/kcontrol/kcmtalkd/common
/usr/share/doc/HTML/en/common
W: kdenetwork symlink-should-be-relative
/usr/share/doc/HTML/en/kcontrol/kcmtalkd/common /usr/share/doc/HTML/en/common
W: kdenetwork dangling-relative-symlink /usr/share/doc/HTML/en/kopete/common
../common
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/Sweden/.directory
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/Taiwan/.directory
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Konqi/Contents/Resources/Footer.html
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/France/.directory
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/Ukraine/.directory
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/Belarus/.directory
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Hacker/Contents/Resources/Footer.html
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Kopete/Contents/Resources/Header.html
E: kdenetwork zero-length
/usr/share/apps/kopete/styles/Gaim/Contents/Resources/Header.html
W: kdenetwork dangling-relative-symlink /usr/share/doc/HTML/en/kpf/common ../common
W: kdenetwork hidden-file-or-dir
/usr/share/apps/kppp/Provider/Switzerland/.directory
W: kdenetwork dangling-relative-symlink /usr/share/doc/HTML/en/lisa/common ../common
W: kdenetwork dangling-relative-symlink /usr/share/doc/HTML/en/ksirc/common
../common
W: kdenetwork dangling-relative-symlink /usr/share/doc/HTML/en/krfb/common ../common
W: kdenetwork dangling-relative-symlink /usr/share/doc/HTML/en/kppp/common ../common
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/Norway/.directory
W: kdenetwork hidden-file-or-dir /usr/share/apps/kppp/Provider/Portugal/.directory
W: kdenetwork incoherent-init-script-name lisa
W: kdenetwork macro-in-%changelog _lib
W: kdenetwork mixed-use-of-spaces-and-tabs (spaces: line 43, tab: line 14)
W: kdenetwork-devel no-documentation
W: kdenetwork-nowlistening no-documentation

#002 expat-devel is missing as BR
checking for XML_ParserCreate in -lexpat... no
configure: WARNING: Expat is required to build Jabber Jingle voice support. You
can get it from http://expat.sourceforge.net/

fedora ships the expat-devel
Comment 20 Rex Dieter 2007-03-09 13:28:35 EST
99.9% of rpmlint output here is hot air, imo.

Spec URL: http://kde-redhat.unl.edu/apt/kde-redhat/SPECS/kdenetwork.spec
SRPM URL:
http://kde-redhat.unl.edu/apt/kde-redhat/all/SRPMS.testing/kdenetwork-3.5.6-2.src.rpm

%changelog
* Fri Mar 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 7:3.5.6-2
- BR: libXScrnSaver
- --enable-jingle, BR: expat-devel glib2-devel ortp-devel speex-devel
  (not enabled, currently doesn't build)
- drop .la file hackery

NOTE: jingle builds fail, see
http://apt.kde-redhat.org/apt/kde-redhat/mock/fedora-6-i386-core-kde/kdenetwork/build-jingle.log
so jingle support is not enabled, for now.
Comment 21 Chitlesh GOORAH 2007-03-10 11:25:48 EST
MUST Items:

- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPL) with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: Package does not own files or directories already owned by other packages. 

SHOULD Items:

 - SHOULD: The source package does include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i386.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.


APPROVED
Comment 22 Rex Dieter 2007-04-06 08:43:50 EDT
than, please update cvs, then you can close this.
Comment 23 Ngo Than 2007-04-12 08:39:54 EDT
it's now in CVS. Thanks

Note You need to log in before you can comment on or make changes to this bug.